--- wxe_server.original.erl	2009-09-24 11:00:48.000000000 +0200
+++ wxe_server.erl	2009-10-14 15:06:41.141000000 +0200
@@ -177,12 +177,11 @@
 	    {noreply, State}
     end;
 handle_info(Msg = {'_wxe_destroy_', Pid}, State) ->
-    case erlang:is_process_alive(Pid) of
-	true ->
-	    Pid ! Msg,
-	    ok;
-	false ->
-	    ok
+    try
+      true = erlang:is_process_alive(Pid),
+      Pid ! Msg
+    catch
+      error:_ -> ok
     end,
     {noreply, State};
 handle_info(_Info, State) ->
